Get all logs for a model Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter log type.
-
Filter log level.
-
Filter logs by modelable type.
-
Filter logs by the modelable's UUID (requires filter[modelable_type]).
-
Field to sort by. Valid fields are [created_at]. Negative sign to denote DESC. Defaults to '-created_at'.
-
the amount of logs per page (Default 15. Max 500).
GET
/api/v1/logs/{modelType}/{modelUuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/logs/architecto/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": [
{
"uuid": "11c0f150-31d7-4d86-ba89-bb0c2b99c850",
"created_at": "2026-10-08T11:55:16+01:00",
"updated_at": "2026-10-08T11:55:16+01:00",
"description": ":author :action Mantas Ruigys",
"author": {
"uuid": "0326a547-67bb-4a69-8a55-d74374151952",
"created_at": "2026-10-08T11:55:16+01:00",
"updated_at": "2026-10-08T11:55:16+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "4f6c6e85-b575-4085-95f2-1079621267eb",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "7b4d395e-2ed1-443b-8293-8db5bb2a99e0",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "7b4d395e-2ed1-443b-8293-8db5bb2a99e0",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "988fba60-6e0c-4254-a0ab-41ef63f1ca83",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-08T11:05:21+01:00",
"end_date": "2026-10-08T11:33:21+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "237a40ff-5ab2-482e-a562-62fd7c6f0c95",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"tags": {
"uuid": "604dfecd-2a00-44fa-92ea-fef5918c299d",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-10-08T11:55:16+01:00",
"next_review_date": "2026-10-08T11:55:16+01:00",
"previous_review_date": "2026-10-08T11:55:16+01:00",
"anniversary_review_date": "2026-10-08T11:55:16+01:00",
"terms_of_business_at": "2026-10-08T11:55:16+01:00",
"client_agreement_at": "2026-10-08T11:55:16+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "1c91c4a8-78e8-4ba3-b41a-5fce0b4047ce",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-08T11:55:21+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2cb576bb-276a-4e31-b593-d41ea4a05574",
"login_access_level": "write",
"current_life_stage_uuid": "a5220fd7-59bb-4c26-a7d0-67fb258e0fb3"
},
"circles": {
"uuid": "1c91c4a8-78e8-4ba3-b41a-5fce0b4047ce",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-08T11:55:21+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2cb576bb-276a-4e31-b593-d41ea4a05574",
"login_access_level": "write",
"current_life_stage_uuid": "a5220fd7-59bb-4c26-a7d0-67fb258e0fb3"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:16+01:00",
"out_of_office_until": "2026-10-08T11:55:16+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "bc8bc6c4-193b-4b59-9901-1c8b5fde4d1b",
"name": "Gold",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "a844c630-8247-4b0b-a633-2bfdc86f5ce6",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"modelable": {
"uuid": "b7b19657-c504-42c5-96c3-70dc4ed376b9",
"created_at": "2026-10-08T11:55:16+01:00",
"updated_at": "2026-10-08T11:55:16+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "4f6c6e85-b575-4085-95f2-1079621267eb",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "7b4d395e-2ed1-443b-8293-8db5bb2a99e0",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "7b4d395e-2ed1-443b-8293-8db5bb2a99e0",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "988fba60-6e0c-4254-a0ab-41ef63f1ca83",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-08T11:05:21+01:00",
"end_date": "2026-10-08T11:33:21+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "237a40ff-5ab2-482e-a562-62fd7c6f0c95",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"tags": {
"uuid": "604dfecd-2a00-44fa-92ea-fef5918c299d",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-10-08T11:55:16+01:00",
"next_review_date": "2026-10-08T11:55:16+01:00",
"previous_review_date": "2026-10-08T11:55:16+01:00",
"anniversary_review_date": "2026-10-08T11:55:16+01:00",
"terms_of_business_at": "2026-10-08T11:55:16+01:00",
"client_agreement_at": "2026-10-08T11:55:16+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "1c91c4a8-78e8-4ba3-b41a-5fce0b4047ce",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-08T11:55:21+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2cb576bb-276a-4e31-b593-d41ea4a05574",
"login_access_level": "write",
"current_life_stage_uuid": "a5220fd7-59bb-4c26-a7d0-67fb258e0fb3"
},
"circles": {
"uuid": "1c91c4a8-78e8-4ba3-b41a-5fce0b4047ce",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-08T11:55:21+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2cb576bb-276a-4e31-b593-d41ea4a05574",
"login_access_level": "write",
"current_life_stage_uuid": "a5220fd7-59bb-4c26-a7d0-67fb258e0fb3"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:16+01:00",
"out_of_office_until": "2026-10-08T11:55:16+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "bc8bc6c4-193b-4b59-9901-1c8b5fde4d1b",
"name": "Gold",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "a844c630-8247-4b0b-a633-2bfdc86f5ce6",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"modelable_type": "client",
"modelable_name": "Mantas Ruigys",
"through": {
"uuid": "edf740cc-7a90-4396-9f66-940b85610d19",
"created_at": "2026-10-08T11:55:16+01:00",
"updated_at": "2026-10-08T11:55:16+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "4f6c6e85-b575-4085-95f2-1079621267eb",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "7b4d395e-2ed1-443b-8293-8db5bb2a99e0",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "7b4d395e-2ed1-443b-8293-8db5bb2a99e0",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "988fba60-6e0c-4254-a0ab-41ef63f1ca83",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-08T11:05:21+01:00",
"end_date": "2026-10-08T11:33:21+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "237a40ff-5ab2-482e-a562-62fd7c6f0c95",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"tags": {
"uuid": "604dfecd-2a00-44fa-92ea-fef5918c299d",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-10-08T11:55:16+01:00",
"next_review_date": "2026-10-08T11:55:16+01:00",
"previous_review_date": "2026-10-08T11:55:16+01:00",
"anniversary_review_date": "2026-10-08T11:55:16+01:00",
"terms_of_business_at": "2026-10-08T11:55:16+01:00",
"client_agreement_at": "2026-10-08T11:55:16+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "1c91c4a8-78e8-4ba3-b41a-5fce0b4047ce",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-08T11:55:21+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2cb576bb-276a-4e31-b593-d41ea4a05574",
"login_access_level": "write",
"current_life_stage_uuid": "a5220fd7-59bb-4c26-a7d0-67fb258e0fb3"
},
"circles": {
"uuid": "1c91c4a8-78e8-4ba3-b41a-5fce0b4047ce",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-08T11:55:21+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2cb576bb-276a-4e31-b593-d41ea4a05574",
"login_access_level": "write",
"current_life_stage_uuid": "a5220fd7-59bb-4c26-a7d0-67fb258e0fb3"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:16+01:00",
"out_of_office_until": "2026-10-08T11:55:16+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "bc8bc6c4-193b-4b59-9901-1c8b5fde4d1b",
"name": "Gold",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "a844c630-8247-4b0b-a633-2bfdc86f5ce6",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"account": {
"uuid": "ef70f4b4-4159-4938-98c4-ac997f58ba06",
"created_at": "2026-10-08T11:55:16+01:00",
"updated_at": "2026-10-08T11:55:16+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "4f6c6e85-b575-4085-95f2-1079621267eb",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "7b4d395e-2ed1-443b-8293-8db5bb2a99e0",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "7b4d395e-2ed1-443b-8293-8db5bb2a99e0",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "988fba60-6e0c-4254-a0ab-41ef63f1ca83",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-08T11:05:21+01:00",
"end_date": "2026-10-08T11:33:21+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "237a40ff-5ab2-482e-a562-62fd7c6f0c95",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"tags": {
"uuid": "604dfecd-2a00-44fa-92ea-fef5918c299d",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "d0e96829-4287-4684-b491-db40f086cbc3",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T11:55:21+01:00",
"next_review_date": "2026-10-08T11:55:21+01:00",
"previous_review_date": "2026-10-08T11:55:21+01:00",
"anniversary_review_date": "2026-10-08T11:55:21+01:00",
"terms_of_business_at": "2026-10-08T11:55:21+01:00",
"client_agreement_at": "2026-10-08T11:55:21+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:21",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:21+01:00",
"out_of_office_until": "2026-10-08T11:55:21+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-10-08T11:55:16+01:00",
"next_review_date": "2026-10-08T11:55:16+01:00",
"previous_review_date": "2026-10-08T11:55:16+01:00",
"anniversary_review_date": "2026-10-08T11:55:16+01:00",
"terms_of_business_at": "2026-10-08T11:55:16+01:00",
"client_agreement_at": "2026-10-08T11:55:16+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "1c91c4a8-78e8-4ba3-b41a-5fce0b4047ce",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-08T11:55:21+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2cb576bb-276a-4e31-b593-d41ea4a05574",
"login_access_level": "write",
"current_life_stage_uuid": "a5220fd7-59bb-4c26-a7d0-67fb258e0fb3"
},
"circles": {
"uuid": "1c91c4a8-78e8-4ba3-b41a-5fce0b4047ce",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-08T11:55:21+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2cb576bb-276a-4e31-b593-d41ea4a05574",
"login_access_level": "write",
"current_life_stage_uuid": "a5220fd7-59bb-4c26-a7d0-67fb258e0fb3"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 11:55:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T11:55:16+01:00",
"out_of_office_until": "2026-10-08T11:55:16+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "bc8bc6c4-193b-4b59-9901-1c8b5fde4d1b",
"name": "Gold",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "a844c630-8247-4b0b-a633-2bfdc86f5ce6",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"accounts": [
{
"uuid": {
"example": "2d681d8d-06d5-44ea-86c9-55b57f32f931",
"description": "The UUID of the resource.",
"collection": false
},
"created_at": {
"example": "2026-10-08T11:55:16+01:00",
"description": "The timestamp of when the resource was created.",
"collection": false
},
"updated_at": {
"example": "2026-10-08T11:55:16+01:00",
"description": "The timestamp of when the resource was updated.",
"collection": false
},
"type": {
"example": "client",
"description": "Account type",
"collection": false
},
"role": {
"example": "client",
"description": "Account role",
"collection": false
},
"first_name": {
"example": "Gareth",
"description": "First name",
"collection": false
},
"last_name": {
"example": "Thompson",
"description": "Last name",
"collection": false
},
"name": {
"example": "Gareth Thompson",
"description": "Name",
"collection": false
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "(Deprecated - Please use the primary email of the account instead). The email of the account.",
"collection": false
},
"photo_url": {
"example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"description": "The photo URL of the client",
"collection": false
},
"external_references": {
"example": {
"uuid": "a844c630-8247-4b0b-a633-2bfdc86f5ce6",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"third_party": "nucleus",
"reference": "AB123456"
},
"description": "The external references that have been added to the client.",
"collection": true
}
}
],
"type": "viewed",
"level": "info",
"metadata": [],
"is_impersonated": "false"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}